## dnf 4.5.2

=== dnf/CMakeLists.txt ===
FILE(GLOB dnf_SRCS *.py)
INSTALL (FILES ${dnf_SRCS} DESTINATION ${PYTHON_INSTALL_DIR}/dnf)
# const.py is generated so the glob alone won't see it:
INSTALL (FILES const.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf)

ADD_SUBDIRECTORY (automatic)
ADD_SUBDIRECTORY (cli)
ADD_SUBDIRECTORY (conf)
ADD_SUBDIRECTORY (module)
ADD_SUBDIRECTORY (rpm)
ADD_SUBDIRECTORY (yum)
ADD_SUBDIRECTORY (db)

=== po/CMakeLists.txt ===
# pulling translations from weblate

set(WEBLATE_REPO_URL "git@github.com:rpm-software-management/${PROJECT_NAME}-l10n.git")
set(WEBLATE_REPO_BRANCH "master")
set(WEBLATE_REPO_PATH ${CMAKE_CURRENT_BINARY_DIR}/tmp-weblate-repo)

find_package(Git)
find_package(Gettext)

if (GIT_FOUND)
    # detect current git branch
    execute_process(
        COMMAND ${GIT_EXECUTABLE} symbolic-ref --short -q HEAD
        COMMAND tr -d '[:space:]'
        OUTPUT_VARIABLE CURRENT_BRANCH
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )

    # output _weblate-clone is never created so the clonning of weblate repo is always processed
    # and fresh *.po files are used
    add_custom_command(OUTPUT _weblate-clone
        COMMENT "Clonning weblate repo"
        COMMAND ${CMAKE_COMMAND} -E remove_directory ${WEBLATE_REPO_PATH}
        COMMAND ${GIT_EXECUTABLE} clone --depth=1 -b ${WEBLATE_REPO_BRANCH} ${WEBLATE_REPO_URL} ${WEBLATE_REPO_PATH}
        BYPRODUCTS ${WEBLATE_REPO_PATH}
    )

    add_custom_target(gettext-update
        COMMENT "Updating translation files from weblate repo"

        COMMAND ${CMAKE_COMMAND} -E copy ${WEBLATE_REPO_PATH}/${CURRENT_BRANCH}/*.po .
        COMMAND ${CMAKE_COMMAND} -E copy ${WEBLATE_REPO_PATH}/${CURRENT_BRANCH}/${PROJECT_NAME}.pot .
        COMMAND ${CMAKE_SOURCE_DIR}/scripts/sanitize_po_files.py *.po

        DEPENDS _weblate-clone

        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
endif()


IF (GETTEXT_FOUND)
    # this process unfortunately reformats .po files so copy them
    FILE(GLOB POS ${CMAKE_CURRENT_SOURCE_DIR}/*.po)
    FILE(COPY ${POS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    FILE(GLOB POS_BIN ${CMAKE_CURRENT_BINARY_DIR}/*.po)
    GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pot ALL ${POS_BIN})
ENDIF()

=== tests/CMakeLists.txt ===
ADD_TEST(test ${PYTHON_EXECUTABLE} -m nose -s ${CMAKE_CURRENT_SOURCE_DIR})

# For libdnf built with sanitizers, has no effect otherwise.
# dnf tests do some wild stuff and cause a lot of leaks, hence turn leak
# detection off for them.
SET_PROPERTY(TEST test PROPERTY ENVIRONMENT "ASAN_OPTIONS=verify_asan_link_order=0,detect_leaks=0")

=== etc/dnf/protected.d/CMakeLists.txt ===
INSTALL (FILES "dnf.conf" "yum.conf" DESTINATION ${SYSCONFDIR}/dnf/protected.d)

## dnf 4.2.23

=== debian/changelog ===
dnf (4.2.23-2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 18 Oct 2020 03:13:37 +0200

dnf (4.2.23-2) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update to dnf-4.2.23
  * version 4.2.23-1

  [ Marek Marczykowski-Górecki ]
  * travis: skip install test nextgen-yum4

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Oct 2020 03:13:37 +0200

dnf (4.2.23-1) unstable; urgency=medium

  * Update to dnf-4.2.23

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 11 Oct 2020 12:31:29 +0200

dnf (4.2.9-1) unstable; urgency=medium

  * Initial commit

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Tue, 29 Sep 2020 17:00:00 +0200

=== debian/control ===
Source: dnf
Section: admin
Priority: optional
Maintainer: Mihai Moldovan <ionic@ionic.de>
Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
Build-Depends: debhelper (>= 9~),
 dh-python,
 python3,
 bash-completion,
 cmake,
 pkg-config,
 gettext,
 python3-hawkey (>= 0.48.0-1~),
 python3-libdnf (>= 0.48.0-1~),
 python3-libcomps (>= 0.1.15-1~),
 python3-rpm (>= 4.14.0-1~),
 systemd,
 python3-sphinx,
 python3-nose,
 python3-gpg,
 libmodulemd2 (>= 2.9.4-1~),
Standards-Version: 4.4.0.1
Homepage: https://github.com/rpm-software-management/dnf
Vcs-Browser: https://github.com/rpm-software-management/dnf
Vcs-Git: https://github.com/rpm-software-management/dnf.git
#Testsuite: autopkgtest-pkg-python

Package: dnf
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
 dnf-data (= ${binary:Version}),
 python3-dnf (= ${binary:Version}),
 libmodulemd2 (>= 2.9.4-1~),
 python3-dbus,
 sqlite3,
Breaks: dnf-plugins-core (<< 4.0.6-1~)
Description: Dandified Yum package manager
 Package manager forked from Yum, using libsolv as a dependency resolver.
 .
 This package provides the dnf program.

Package: dnf-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Dandified Yum package manager (data files)
 Package manager forked from Yum, using libsolv as a dependency resolver.
 .
 This package provides common data and configuration files.

Package: dnf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
Description: Documentation for the DNF package manager (common documentation)
 Package manager forked from Yum, using libsolv as a dependency resolver.
 .
 This package installs common documentation for the dnf program.

Package: yum4
Depends: ${misc:Depends},
 nextgen-yum4,
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: nextgen-yum4
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 dnf (= ${binary:Version}),
 deltarpm,
Breaks: yum4 (<< 4.2.23-1~)
Replaces: yum4 (<< 4.2.23-1~)
Provides: yum4 (= 4.2.23-1~)
Description: DNF (Dandified Yum) Yum CLI compatibility layer
 Package manager forked from Yum, using libsolv as a dependency resolver.
 .
 This package installs a Yum CLI compatibility layer redirecting
 /usr/bin/yum4 to DNF.

Package: python3-dnf
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${python3:Depends}, ${misc:Depends},
 dnf-data (= ${binary:Version}),
 python3-gpg,
 python3-hawkey (>= 0.48.0-1~),
 python3-libdnf (>= 0.48.0-1~),
 python3-libcomps (>= 0.1.15-1~),
 python3-rpm (>= 4.14.0-1~),
 python3-distutils | libpython3-stdlib (<< 3.7~),
Recommends: deltarpm, python3-unbound,
Suggests: python3-dnf-doc
Description: Python interface to DNF (Python 3)
 Package manager forked from Yum, using libsolv as a dependency resolver.
 .
 This package installs the DNF interface for Python 3.

Package: python3-dnf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: Python 3 interface to DNF (common documentation)
 Package manager forked from Yum, using libsolv as a dependency resolver.
 .
 This package installs common documentation for the DNF interface for Python
 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --parallel --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- -DPYTHON_DESIRED:STRING=3 -DWITH_MAN:BOOL=ON \
	                                            -DBASH_COMPLETION_FALLBACKDIR:PATH=/usr/share/bash-completion/completions

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc-man doc-html

override_dh_auto_install:
	dh_auto_install --builddirectory=build
	# We don't need systemd integration.
	rm -rfv 'debian/tmp/usr/lib/systemd/'
	# Remove yum compat files that are already provided by the "old" yum package in Debian.
	# This mostly corresponds to yum_compat_level == preview in dnf.spec. 
	rm -fv 'debian/tmp/usr/share/man/man1/yum-aliases.1'
	rm -fv 'debian/tmp/usr/share/man/man5/yum.conf.5'
	rm -fv 'debian/tmp/usr/share/man/man8/yum.8'
	rm -fv 'debian/tmp/usr/share/man/man8/yum-shell.8'
	# Remove automatic features.
	rm -fv 'debian/tmp/usr/bin/dnf-automatic-3'
	rm -fv 'debian/tmp/usr/share/man/man8/dnf-automatic.8'
	# Use system-provides files.
	rm -fv 'build/doc/_static/jquery.js' 'build/doc/_static/underscore.js'
	# Re-root HTML documentation to an "html" subdir.
	mkdir -p 'build/doc/html'
	mv 'build/doc/'*.html 'build/doc/html/'
	mv 'build/doc/_sources' 'build/doc/html/'
	mv 'build/doc/_static' 'build/doc/html/'

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build

# Need a "working" terminal environment to pass tests.
# Maybe rip that out.
# When building with sbuild, users do not have a home directory if /home is
# shadowed. Replace HOME with a known directory.
override_dh_auto_test:
	mkdir '$(CURDIR)/debian/tests-home'
	TERM='xterm' HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-VV'

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	if dpkg --compare-versions "$$(dpkg-query -f='$${Version}' --show 'debhelper')" 'ge' '12'; then \
		dh_install; \
	else \
		dh_install --fail-missing ; \
	fi

## dnf 4.4.2

=== debian/changelog ===
dnf (4.4.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 28 Nov 2020 20:30:24 +0100

dnf (4.4.2-1) unstable; urgency=medium

  * Reformat patches with original author's description
  * Update to dnf-4.4.2

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sat, 28 Nov 2020 20:30:24 +0100

dnf (4.4.0-1) unstable; urgency=medium

  * Update to dnf-4.4.0

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 01 Nov 2020 22:17:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh "${@}" --parallel --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake --with=python3
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- -DPYTHON_DESIRED:STRING=3 -DWITH_MAN:BOOL=ON \

## dnf 4.5.2

=== debian/changelog ===
dnf (4.5.2-6) unstable; urgency=medium

  * Team upload.
  * d/control:
    - improve long description. Closes: #981724.
    - bump debhelper-compat to 13, no changes observed.
    - add Rules-Requires-Root: no.
  * README.Debian: improve wording, replace yum with dnf where appropriate.
  * Fix typo in debian/patches/0008.patch, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Mar 2021 17:21:25 +0100

dnf (4.5.2-5) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Split doc content and ensure non duplicate README.Debian. Closes: #982033.
  * Bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Sat, 06 Feb 2021 13:35:28 +0100

dnf (4.5.2-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration.
  * Drop nextgen-yum4 depends on deltarpm as it is optional and already
    recommended by python3-dnf.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 15:49:57 +0100

dnf (4.5.2-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:14:23 +0100

dnf (4.5.2-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:36:12 -0000

dnf (4.5.2-1) unstable; urgency=medium

  * Initial upload, Closes: #978627.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mihai Moldovan <ionic@ionic.de>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
  bash-completion,
@@ -19,10 +19,11 @@
  python3-nose,
  python3-gpg,
  libmodulemd2 (>= 2.9.4-1~),
-Standards-Version: 4.4.0.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/dnf
-Vcs-Browser: https://github.com/rpm-software-management/dnf
-Vcs-Git: https://github.com/rpm-software-management/dnf.git
+Vcs-Browser: https://salsa.debian.org/fepitre/dnf
+Vcs-Git: https://salsa.debian.org/fepitre/dnf.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: dnf
@@ -37,6 +38,8 @@
 Breaks: dnf-plugins-core (<< 4.0.6-1~)
 Description: Dandified Yum package manager
  Package manager forked from Yum, using libsolv as a dependency resolver.
+ Dnf requires a working rpm installation and is meant to be used in chroots,
+ see README.Debian for more information.
  .
  This package provides the dnf program.
 
@@ -73,7 +76,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  dnf (= ${binary:Version}),
- deltarpm,
 Breaks: yum4 (<< 4.2.23-1~)
 Replaces: yum4 (<< 4.2.23-1~)
 Provides: yum4 (= 4.2.23-1~)

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	# We don't need systemd integration.
 	rm -rfv 'debian/tmp/usr/lib/systemd/'
 	# Remove yum compat files that are already provided by the "old" yum package in Debian.
-	# This mostly corresponds to yum_compat_level == preview in dnf.spec. 
+	# This mostly corresponds to yum_compat_level == preview in dnf.spec.
 	rm -fv 'debian/tmp/usr/share/man/man1/yum-aliases.1'
 	rm -fv 'debian/tmp/usr/share/man/man5/yum.conf.5'
 	rm -fv 'debian/tmp/usr/share/man/man8/yum.8'
@@ -31,7 +31,12 @@
 	rm -fv 'debian/tmp/usr/bin/dnf-automatic-3'
 	rm -fv 'debian/tmp/usr/share/man/man8/dnf-automatic.8'
 	# Use system-provides files.
-	rm -fv 'build/doc/_static/jquery.js' 'build/doc/_static/underscore.js'
+	rm -fv 'build/doc/_static/jquery.js' \
+	       'build/doc/_static/underscore.js' \
+		   'build/doc/c/html/jquery.js' \
+	       'build/doc/_static/doctools.js' \
+	       'build/doc/_static/language_data.js' \
+	       'build/doc/_static/searchtools.js'
 	# Re-root HTML documentation to an "html" subdir.
 	mkdir -p 'build/doc/html'
 	mv 'build/doc/'*.html 'build/doc/html/'

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(?:v|dnf\-)?(\d\S+)\.tar\.gz/dnf-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/dnf/releases .*/(?:v|dnf\-)?(\d\S+)\.tar\.gz

## dnf 4.14.0

=== doc/CMakeLists.txt ===
# html and man documentation are separate targets, apparently there's no way to
# tell sphinx-build to do them both in one go:

if (${PYTHON_VERSION_MAJOR} STREQUAL "2")
    SET(SPHINX_BUILD_NAME "sphinx-build")
else()
    SET(SPHINX_BUILD_NAME "sphinx-build-3")
endif()


ADD_CUSTOM_TARGET (doc-html
          PYTHONPATH=${CMAKE_SOURCE_DIR} ${SPHINX_BUILD_NAME} -b html
          ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
          COMMENT "Building html documentation")
ADD_CUSTOM_TARGET (doc-man
          PYTHONPATH=${CMAKE_SOURCE_DIR} ${SPHINX_BUILD_NAME} -b man
          ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
          COMMENT "Building manpage documentation")
ADD_CUSTOM_TARGET (doc)
ADD_DEPENDENCIES (doc doc-html doc-man)

if (NOT WITH_MAN EQUAL 0)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf.8
              ${CMAKE_CURRENT_BINARY_DIR}/dnf-automatic.8
              ${CMAKE_CURRENT_BINARY_DIR}/yum2dnf.8
              ${CMAKE_CURRENT_BINARY_DIR}/yum.8
              ${CMAKE_CURRENT_BINARY_DIR}/yum-shell.8
              DESTINATION share/man/man8)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf.conf.5
              ${CMAKE_CURRENT_BINARY_DIR}/yum.conf.5
              ${CMAKE_CURRENT_BINARY_DIR}/dnf-transaction-json.5
              DESTINATION share/man/man5)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/yum-aliases.1
              DESTINATION share/man/man1)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf.modularity.7
              DESTINATION share/man/man7)
endif()

=== tests/CMakeLists.txt ===
ADD_TEST(
    NAME test
    COMMAND ${PYTHON_EXECUTABLE} -m unittest discover -s tests -t ${PROJECT_SOURCE_DIR}
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})

# For libdnf built with sanitizers, has no effect otherwise.
# dnf tests do some wild stuff and cause a lot of leaks, hence turn leak
# detection off for them.
SET_PROPERTY(TEST test PROPERTY ENVIRONMENT
    "PYTHONPATH=${CMAKE_SOURCE_DIR}/"
    "ASAN_OPTIONS=verify_asan_link_order=0,detect_leaks=0"
)

=== debian/changelog ===
dnf (4.14.0-4.1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:55:46 +0100

dnf (4.14.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable build tests, python3/sqlite3 are crashing while logging.
    (Closes: #1042338)

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Sep 2023 10:30:15 +0100

dnf (4.14.0-4) unstable; urgency=medium

  * Fix default DNF const PYTNON_INSTALL_DIR. Closes: #1034828.

    It was build with default DNF value which is not the
    same path in Debian. In consequence, dnf-plugins-core
    were broken. Reported by Aron <aron@debian.org>.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 23 May 2023 09:08:24 +0200

dnf (4.14.0-3) unstable; urgency=medium

  * Fix default DNF installroot for tests. Closes: #1028635.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 14 Jan 2023 19:25:54 +0100

dnf (4.14.0-2) unstable; urgency=medium

  * Set myself to maintainer.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sun, 08 Jan 2023 10:40:32 +0100

dnf (4.14.0-1) unstable; urgency=medium

  * Update to dnf-4.14.0.
  * Remove yum4.
  * Update debian/watch: update to use tags endpoint.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sun, 13 Nov 2022 09:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dnf
 Section: admin
 Priority: optional
-Maintainer: Mihai Moldovan <ionic@ionic.de>
-Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
@@ -10,9 +9,9 @@
  cmake,
  pkg-config,
  gettext,
- python3-hawkey (>= 0.48.0-1~),
- python3-libdnf (>= 0.48.0-1~),
- python3-libcomps (>= 0.1.15-1~),
+ python3-hawkey (>= 0.69.0-1~),
+ python3-libdnf (>= 0.69.0-1~),
+ python3-libcomps (>= 0.1.19-1~),
  python3-rpm (>= 4.14.0-1~),
  systemd,
  python3-sphinx,
@@ -62,29 +61,6 @@
  .
  This package installs common documentation for the dnf program.
 
-Package: yum4
-Depends: ${misc:Depends},
- nextgen-yum4,
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: nextgen-yum4
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
- dnf (= ${binary:Version}),
-Breaks: yum4 (<< 4.2.23-1~)
-Replaces: yum4 (<< 4.2.23-1~)
-Provides: yum4 (= 4.2.23-1~)
-Description: DNF (Dandified Yum) Yum CLI compatibility layer
- Package manager forked from Yum, using libsolv as a dependency resolver.
- .
- This package installs a Yum CLI compatibility layer redirecting
- /usr/bin/yum4 to DNF.
-
 Package: python3-dnf
 Architecture: all
 Multi-Arch: foreign
@@ -96,7 +72,6 @@
  python3-libdnf (>= 0.48.0-1~),
  python3-libcomps (>= 0.1.15-1~),
  python3-rpm (>= 4.14.0-1~),
- python3-distutils | libpython3-stdlib (<< 3.7~),
 Recommends: deltarpm, python3-unbound,
 Suggests: python3-dnf-doc
 Description: Python interface to DNF (Python 3)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
		-DWITH_MAN:BOOL=ON \
		-DBASH_COMPLETION_FALLBACKDIR:PATH=/usr/share/bash-completion/completions

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all doc-man doc-html

override_dh_auto_install:
	dh_auto_install --builddirectory=build

	# We don't need systemd integration.
	rm -rfv 'debian/tmp/usr/lib/systemd/'

	# Remove yum compat files that are already provided by the "old" yum package in Debian.
	# This mostly corresponds to yum_compat_level == preview in dnf.spec.
	rm -fv 'debian/tmp/usr/share/man/man1/yum-aliases.1'
	rm -fv 'debian/tmp/usr/share/man/man5/yum.conf.5'
	rm -fv 'debian/tmp/usr/share/man/man8/yum.8'
	rm -fv 'debian/tmp/usr/share/man/man8/yum-shell.8'

	# Remove automatic features.
	rm -fv 'debian/tmp/usr/bin/dnf-automatic-3'
	rm -fv 'debian/tmp/usr/share/man/man8/dnf-automatic.8'

	# Use system-provides files.
	rm -fv 'build/doc/_static/jquery.js' \
	       'build/doc/_static/underscore.js' \
		   'build/doc/c/html/jquery.js' \
	       'build/doc/_static/doctools.js' \
	       'build/doc/_static/language_data.js' \
	       'build/doc/_static/searchtools.js'

	# Re-root HTML documentation to an "html" subdir.
	mkdir -p 'build/doc/html'
	mv 'build/doc/'*.html 'build/doc/html/'
	mv 'build/doc/_sources' 'build/doc/html/'
	mv 'build/doc/_static' 'build/doc/html/'

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build

# Need a "working" terminal environment to pass tests.
# Maybe rip that out.
# When building with sbuild, users do not have a home directory if /home is
# shadowed. Replace HOME with a known directory.
# Tests are failing with new python/sqlite3 due to a segfault when logging,
# disable them for now. See: https://bugs.debian.org/1042338
override_dh_auto_test:
#	mkdir '$(CURDIR)/debian/tests-home'
#	TERM='xterm' HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-VV'

override_dh_missing:
	dh_missing --fail-missing

## dnf 4.21.0

=== debian/changelog ===
dnf (4.21.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.21.0'
  * /etc/libreport is no longer installed, drop it

 -- Luca Boccassi <bluca@debian.org>  Sun, 30 Jun 2024 12:18:33 +0100

dnf (4.20.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.20.0'
  * Update dh_install for renamed files

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 May 2024 00:03:57 +0100

dnf (4.19.2-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Drop dependency on python3-nose, deprecated (Closes: #1018343)
  * Switch to pkgconf
  * Drop dependency on distutils, deprecated (Closes: #1065844)
  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/4.19.2'
  * Drop 0007-tests-set-default-installroot-in-tmp.patch, no longer needed
  * Add build-dependency on python3-sphinx-rtd-theme
  * Create shell completion symlink dnf-3 -> dnf
  * python3-dnf: install python metadata too
  * python3-dnf-doc: add dependencies on libjs-jquery and libjs-underscore
    (Closes: #990657)
  * Bump libdnf dependency to 0.73.1
  * Bump Standards-Version to 4.7.0, no changes
  * Switch to dh-sequence-python3
  * Enable ELF metadata stamping
  * Drop dh_missing from d/rules, it's default in compat 13
  * Drop obsolete versioned Breaks
  * Add d/clean to remove leftover build files
  * Add bug tracker to d/u/metadata

 -- Luca Boccassi <bluca@debian.org>  Mon, 15 Apr 2024 01:31:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
-	dh "${@}" --buildsystem=cmake --with=python3
+	dh "${@}" --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build -- \
@@ -61,6 +62,3 @@
 override_dh_auto_test:
 #	mkdir '$(CURDIR)/debian/tests-home'
 #	TERM='xterm' HOME='$(CURDIR)/debian/tests-home' dh_auto_test --builddirectory=build -- ARGS='-VV'
-
-override_dh_missing:
-	dh_missing --fail-missing

## dnf 4.21.1

=== debian/changelog ===
dnf (4.21.1-1) unstable; urgency=high

  * Update upstream source from tag 'upstream/4.21.1'

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Aug 2024 12:07:35 +0100

## dnf 4.22.0

=== debian/changelog ===
dnf (4.22.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.22.0'
  * Drop patch to fix sysconfig.get_path and set env var instead

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Nov 2024 14:25:37 +0000

## dnf 4.23.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.5.0)
CMAKE_POLICY(SET CMP0148 OLD)
PROJECT (dnf NONE)

INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)

SET( SYSCONFDIR /etc)
SET( SYSTEMD_DIR /usr/lib/systemd/system)

IF (NOT PYTHON_DESIRED)
    FIND_PACKAGE (PythonInterp REQUIRED)
ELSEIF (${PYTHON_DESIRED} STREQUAL "2")
    FIND_PACKAGE (PythonInterp 2 EXACT REQUIRED)
ELSEIF (${PYTHON_DESIRED} STREQUAL "3")
    FIND_PACKAGE (PythonInterp 3 EXACT REQUIRED)
ELSEIF (EXISTS ${PYTHON_DESIRED})
    SET (PYTHON_EXECUTABLE ${PYTHON_DESIRED})
    FIND_PACKAGE (PythonInterp REQUIRED)
ELSE ()
    MESSAGE (FATAL_ERROR "Invalid PYTHON_DESIRED value: " ${PYTHON_DESIRED})
ENDIF()

EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from sysconfig import get_path; stdout.write(get_path('purelib'))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
MESSAGE(STATUS "Python install dir is ${PYTHON_INSTALL_DIR}")

ADD_SUBDIRECTORY (dnf)
ADD_SUBDIRECTORY (bin)
ADD_SUBDIRECTORY (etc)
ADD_SUBDIRECTORY (doc)
ADD_SUBDIRECTORY (po)
ENABLE_TESTING()
ADD_SUBDIRECTORY (tests)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/bin/dnf.in ${CMAKE_SOURCE_DIR}/bin/dnf-${PYTHON_VERSION_MAJOR} @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/bin/dnf-automatic.in ${CMAKE_SOURCE_DIR}/bin/dnf-automatic-${PYTHON_VERSION_MAJOR} @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/dnf/const.py.in ${CMAKE_SOURCE_DIR}/dnf/const.py @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/dnf/cli/completion_helper.py.in ${CMAKE_SOURCE_DIR}/dnf/cli/completion_helper.py @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/tests/modules/etc/dnf/repos.d/test.repo.in ${CMAKE_SOURCE_DIR}/tests/modules/etc/dnf/repos.d/test.repo @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/tests/modules/etc/dnf/dnf.conf.in ${CMAKE_SOURCE_DIR}/tests/modules/etc/dnf/dnf.conf @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/doc/conf.py.in ${CMAKE_SOURCE_DIR}/doc/conf.py @ONLY)

=== etc/bash_completion.d/CMakeLists.txt ===
find_package(bash-completion QUIET)
if(NOT BASH_COMPLETION_COMPLETIONSDIR)
    if(BASH_COMPLETION_COMPATDIR)
        set(BASH_COMPLETION_COMPLETIONSDIR ${BASH_COMPLETION_COMPATDIR})
    else()
        set(BASH_COMPLETION_COMPLETIONSDIR "${SYSCONFDIR}/bash_completion.d")
    endif()
endif()
install(FILES "dnf-3" DESTINATION ${BASH_COMPLETION_COMPLETIONSDIR})

=== debian/changelog ===
dnf (4.23.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.23.0'

 -- Luca Boccassi <bluca@debian.org>  Sun, 09 Mar 2025 11:37:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: dnf
 Section: admin
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-package-notes,
+ dh-sequence-python3,
  python3,
  bash-completion,
  cmake,
- pkg-config,
+ pkgconf,
  gettext,
- python3-hawkey (>= 0.69.0-1~),
- python3-libdnf (>= 0.69.0-1~),
+ python3-hawkey (>= 0.73.1-1~),
+ python3-libdnf (>= 0.73.1-1~),
  python3-libcomps (>= 0.1.19-1~),
  python3-rpm (>= 4.14.0-1~),
  systemd,
  python3-sphinx,
- python3-nose,
+ python3-sphinx-rtd-theme,
  python3-gpg,
  libmodulemd2 (>= 2.9.4-1~),
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/dnf
-Vcs-Browser: https://salsa.debian.org/fepitre/dnf
-Vcs-Git: https://salsa.debian.org/fepitre/dnf.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/dnf
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/dnf.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: dnf
@@ -34,7 +37,6 @@
  libmodulemd2 (>= 2.9.4-1~),
  python3-dbus,
  sqlite3,
-Breaks: dnf-plugins-core (<< 4.0.6-1~)
 Description: Dandified Yum package manager
  Package manager forked from Yum, using libsolv as a dependency resolver.
  Dnf requires a working rpm installation and is meant to be used in chroots,
@@ -68,8 +70,8 @@
 Depends: ${python3:Depends}, ${misc:Depends},
  dnf-data (= ${binary:Version}),
  python3-gpg,
- python3-hawkey (>= 0.48.0-1~),
- python3-libdnf (>= 0.48.0-1~),
+ python3-hawkey (>= 0.73.1-1~),
+ python3-libdnf (>= 0.73.1-1~),
  python3-libcomps (>= 0.1.15-1~),
  python3-rpm (>= 4.14.0-1~),
 Recommends: deltarpm, python3-unbound,
@@ -84,6 +86,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends},
+         libjs-jquery, libjs-underscore,
 Description: Python 3 interface to DNF (common documentation)
  Package manager forked from Yum, using libsolv as a dependency resolver.
  .

## dnf 4.24.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 CMAKE_MINIMUM_REQUIRED (VERSION 3.5.0)
-CMAKE_POLICY(SET CMP0148 OLD)
 PROJECT (dnf NONE)
 
 INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)

=== .copr/Makefile ===
# Copyright David Cantrell <dcantrell@redhat.com>
# SPDX-License-Identifier: GPL-3.0-or-later

# Set the top level source directory
topdir := $(shell realpath $(dir $(lastword $(MAKEFILE_LIST)))/..)

# Install packages before anything else
_install := $(shell dnf install -y git)
_safedir := $(shell git config --global --add safe.directory $(topdir))

# Pass BUILDTYPE=release to generate a release SRPM
BUILDTYPE ?= copr

# Spec file and template
SPEC_TEMPLATE = $(shell ls -1 $(topdir)/*.spec)
SPEC = $(topdir)/$(shell basename $(SPEC_TEMPLATE))

# Replace placeholders in the spec file template
RPMDATE = $(shell date +'%a %b %d %Y')
#RPMAUTHOR = $(shell git log | grep ^Author: | head -n 1 | cut -d ' ' -f 2,3,4)
RPMAUTHOR = David Cantrell <dcantrell@redhat.com>

# Various things we need to generate a tarball
PKG = $(shell rpmspec -P "$(SPEC_TEMPLATE)" | grep ^Name: | awk '{ print $$2; }')
VER = $(shell rpmspec -P "$(SPEC_TEMPLATE)" | grep ^Version: | awk '{ print $$2; }')

ifeq ($(BUILDTYPE),copr)
GITDATE          = $(shell date +'%Y%m%d%H%M')
GITHASH          = $(shell git rev-parse --short HEAD)
TARBALL_BASENAME = $(PKG)-$(VER)-$(GITDATE)git$(GITHASH)
TAG              = HEAD
else
TAG              = $(shell git describe --tags --abbrev=0)
endif

ifeq ($(BUILDTYPE),release)
TARBALL_BASENAME = $(PKG)-$(VER)
endif

# Where to insert the changelog entry
STARTING_POINT = $(shell expr $(shell grep -n ^%changelog "$(SPEC)" | cut -d ':' -f 1) + 1)

srpm:
	sed -i -e '1i %global source_date_epoch_from_changelog 0' "$(SPEC)"
	sed -e 's|%%VERSION%%|$(VER)|g' < "$(SPEC_TEMPLATE)" > "$(SPEC)".new
	mv "$(SPEC)".new "$(SPEC)"
ifeq ($(BUILDTYPE),copr)
	sed -i -e '/^Release:/ s/1[^%]*/0.1.$(GITDATE)git$(GITHASH)/' "$(SPEC)"
	sed -i -e 's|^Source0:.*$$|Source0: $(TARBALL_BASENAME).tar.gz|g' "$(SPEC)"
	sed -i -e 's|^%autosetup.*$$|%autosetup -n $(TARBALL_BASENAME)|g' "$(SPEC)"
	sed -i -e '$(STARTING_POINT)a\\' "$(SPEC)"
	sed -i -e '$(STARTING_POINT)a - Build $(PKG)-$(VER)-$(GITDATE)git$(GITHASH) snapshot' "$(SPEC)"
	sed -i -e '$(STARTING_POINT)a * $(RPMDATE) $(RPMAUTHOR) - $(VER)-$(GITDATE)git$(GITHASH)' "$(SPEC)"
endif
	git archive \
		--format=tar \
		--output='$(topdir)/$(TARBALL_BASENAME).tar' \
		--prefix='$(TARBALL_BASENAME)/' $(TAG) $(topdir)
	gzip -9f $(topdir)/$(TARBALL_BASENAME).tar
	rpmbuild \
		-bs --nodeps \
		--define "_sourcedir $(topdir)" \
		--define "_srcrpmdir $(outdir)" \
		--define "_rpmdir $(outdir)" "$(SPEC)"

=== dnf/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,15 @@
 INSTALL (FILES ${dnf_SRCS} DESTINATION ${PYTHON_INSTALL_DIR}/dnf)
 # const.py is generated so the glob alone won't see it:
 INSTALL (FILES const.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf)
+
+# Generate dist-info metadata
+SET(DISTINFO_PATH "${CMAKE_CURRENT_BINARY_DIR}/dnf-${DNF_VERSION}.dist-info")
+SET(METADATA_FILE "${DISTINFO_PATH}/METADATA")
+FILE(MAKE_DIRECTORY ${DISTINFO_PATH})
+FILE(WRITE ${METADATA_FILE} "Metadata-Version: 2.1\n")
+FILE(APPEND ${METADATA_FILE} "Name: dnf\n")
+FILE(APPEND ${METADATA_FILE} "Version: ${DNF_VERSION}\n")
+INSTALL(DIRECTORY ${DISTINFO_PATH} DESTINATION ${PYTHON_INSTALL_DIR})
 
 ADD_SUBDIRECTORY (automatic)
 ADD_SUBDIRECTORY (cli)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -20,18 +20,18 @@
 ADD_DEPENDENCIES (doc doc-html doc-man)
 
 if (NOT WITH_MAN EQUAL 0)
-    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf.8
+    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf4.8
               ${CMAKE_CURRENT_BINARY_DIR}/dnf-automatic.8
               ${CMAKE_CURRENT_BINARY_DIR}/yum2dnf.8
               ${CMAKE_CURRENT_BINARY_DIR}/yum.8
               ${CMAKE_CURRENT_BINARY_DIR}/yum-shell.8
               DESTINATION share/man/man8)
-    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf.conf.5
+    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf4.conf.5
               ${CMAKE_CURRENT_BINARY_DIR}/yum.conf.5
-              ${CMAKE_CURRENT_BINARY_DIR}/dnf-transaction-json.5
+              ${CMAKE_CURRENT_BINARY_DIR}/dnf4-transaction-json.5
               DESTINATION share/man/man5)
     INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/yum-aliases.1
               DESTINATION share/man/man1)
-    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf.modularity.7
+    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/dnf4.modularity.7
               DESTINATION share/man/man7)
 endif()

=== etc/CMakeLists.txt ===
ADD_SUBDIRECTORY (bash_completion.d)
ADD_SUBDIRECTORY (dnf)
ADD_SUBDIRECTORY (logrotate.d)
ADD_SUBDIRECTORY (systemd)
ADD_SUBDIRECTORY (tmpfiles.d)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,14 @@
         )
 endif()
 
+add_custom_target(gettext-pot
+    COMMENT "Generating fresh dnf.pot file from sources"
+
+    COMMAND find ./dnf -iname "*.py" |
+        xargs xgettext -F --from-code=UTF-8 --keyword=P_:1,2 --keyword=C_:1c,2 -c --output=${CMAKE_CURRENT_SOURCE_DIR}/dnf.pot
+
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+    )
 
 IF (GETTEXT_FOUND)
     # this process unfortunately reformats .po files so copy them

=== dnf/cli/CMakeLists.txt ===
FILE(GLOB cli_SRCS *.py)
INSTALL (FILES ${cli_SRCS} DESTINATION ${PYTHON_INSTALL_DIR}/dnf/cli)
# completion_helper.py is generated so the glob alone won't see it:
INSTALL (FILES completion_helper.py DESTINATION ${PYTHON_INSTALL_DIR}/dnf/cli)

ADD_SUBDIRECTORY (commands)

=== dnf/conf/CMakeLists.txt ===
FILE(GLOB conf *.py)
INSTALL (FILES ${conf} DESTINATION ${PYTHON_INSTALL_DIR}/dnf/conf)

=== dnf/db/CMakeLists.txt ===
FILE(GLOB db_srcs *.py)
INSTALL (FILES ${db_srcs} DESTINATION ${PYTHON_INSTALL_DIR}/dnf/db)

=== dnf/module/CMakeLists.txt ===
FILE(GLOB module *.py)
INSTALL (FILES ${module} DESTINATION ${PYTHON_INSTALL_DIR}/dnf/module)

=== etc/dnf/CMakeLists.txt ===
INSTALL (FILES "dnf-strict.conf" "dnf.conf" "automatic.conf" DESTINATION ${SYSCONFDIR}/dnf)
ADD_SUBDIRECTORY (aliases.d)
ADD_SUBDIRECTORY (protected.d)
ADD_SUBDIRECTORY (usr-drift-protected-paths.d)

=== etc/logrotate.d/CMakeLists.txt ===
INSTALL (FILES "dnf" DESTINATION ${SYSCONFDIR}/logrotate.d)

=== debian/changelog ===
dnf (4.24.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.24.0'
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Add Lintian override for false positives
  * d/copyright: use GPL URL instead of old FSF postal address
  * Bump dependency on libdnf

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Oct 2025 15:28:44 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  cmake,
  pkgconf,
  gettext,
- python3-hawkey (>= 0.73.1-1~),
- python3-libdnf (>= 0.73.1-1~),
+ python3-hawkey (>= 0.75.0~),
+ python3-libdnf (>= 0.75.0~),
  python3-libcomps (>= 0.1.19-1~),
  python3-rpm (>= 4.14.0-1~),
  systemd,
@@ -21,7 +21,7 @@
  python3-sphinx-rtd-theme,
  python3-gpg,
  libmodulemd2 (>= 2.9.4-1~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/dnf
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/dnf
@@ -70,8 +70,8 @@
 Depends: ${python3:Depends}, ${misc:Depends},
  dnf-data (= ${binary:Version}),
  python3-gpg,
- python3-hawkey (>= 0.73.1-1~),
- python3-libdnf (>= 0.73.1-1~),
+ python3-hawkey (>= 0.75.0~),
+ python3-libdnf (>= 0.75.0~),
  python3-libcomps (>= 0.1.15-1~),
  python3-rpm (>= 4.14.0-1~),
 Recommends: deltarpm, python3-unbound,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # output every command that modifies files on the build system.
 # export DH_VERBOSE = 1
 
+export DEB_PYTHON_INSTALL_LAYOUT=deb
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/dnf-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/dnf/tags .*/@ANY_VERSION@\.tar\.gz
